Android / gradle: nicht in der Lage, Repository zu verwenden

Ich habe versucht, meine Jar * -Bibliotheken zu entfernen und sie als Maven-Repository-Abhängigkeiten hinzuzufügen. Es sieht sehr vielversprechend aus, aber ich kann es nicht schaffen. Ich habe es mit einer einzigen Bibliothek (gson) getestet und nun sieht mein gradle.build so aus:

buildscript { repositories { mavenCentral() } dependencies { classpath 'com.android.tools.build:gradle:0.5.+' } } apply plugin: 'android' dependencies { compile fileTree(dir: 'libs', include: '*.jar') compile 'com.google.code.gson:gson:2.2.4' } android { compileSdkVersion 18 buildToolsVersion "18.1.0" defaultConfig { minSdkVersion 10 targetSdkVersion 18 } sourceSets { main { manifest.srcFile 'AndroidManifest.xml' java.srcDirs = ['src'] resources.srcDirs = ['src'] aidl.srcDirs = ['src'] renderscript.srcDirs = ['src'] res.srcDirs = ['res'] assets.srcDirs = ['assets'] } instrumentTest.setRoot('tests') debug.setRoot('build-types/debug') release.setRoot('build-types/release') } } 

Aber ein einfacher sudo gradle build gibt den folgenden Fehler zurück:

 FAILURE: Build failed with an exception. * What went wrong: A problem occurred configuring root project 'android'. > Failed to notify project evaluation listener. > Could not resolve all dependencies for configuration ':_DebugCompile'. > Could not find com.google.code.gson:gson:2.2.4. Required by: :android:unspecified * Try: Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. BUILD FAILED Total time: 3.541 secs 

Ich bin mit dem Internet verbunden und ich benutze Ubuntu.

Das Android ist ein Google Android Fan-Website, Alles ├╝ber Android Phones, Android Wear, Android Dev und Android Spiele Apps und so weiter.